## wxwidgets3.0 3.0.0

=== debian/changelog ===
wxwidgets3.0 (3.0.0-2) unstable; urgency=low

  * Build wx-common instead of wxwidgets2.8 building it.
  * debian/rules: Strip out no longer used -doc package handling.
  * debian/rules: Rename extra_packages to do_not_build_packages for clarity.
  * Backport fixes from upstream VCS:
    + debian/patches/fix-wxsocket-waitforaccept.patch: Fix
      wxSocket::WaitForAccept() in worker thread.
    + debian/patches/fix-wxvector-overallocation.patch: Fix wxVector
      overallocation.
    + debian/patches/set-wxinfobargeneric-text-colour-correctly.patch: Set
      wxInfoBarGeneric text colour correctly.

 -- Olly Betts <olly@survex.com>  Sat, 30 Nov 2013 10:44:17 +1300

wxwidgets3.0 (3.0.0-1) unstable; urgency=low

  * New upstream release! (Closes: #613431, #492896)
    + Incorporates all our patches.
    + __WXDEBUG__ is now on by default, so our -dbg packages now just contain
      detached debugging symbols. (Closes: #655251)
    + Upstream tarball is now DFSG-free, so we no longer repack it.
  * The wxwidgets2.8 source package was based on wxPython sources, but
    wxwidgets3.0 is based on wxWidgets.  The major motivation is we don't want
    to wait until wxPython 3.0.0 is released to package wxWidgets 3.0.0, but
    it's probably better overall anyway.  Currently the "-doc" package is gone
    (as these docs aren't in wx source code distribution), but this should
    reappear in the near future.
  * debian/control: Drop conflicts against packages (or versions of packages)
    which no longer exist in any supported Debian or Ubuntu release.

 -- Olly Betts <olly@survex.com>  Tue, 12 Nov 2013 11:38:12 +0000

wxwidgets2.8 (2.8.12.1+dfsg-1) unstable; urgency=low

  * Re-repack upstream to remove unused embedded copy of editra, which
    contains a base64 encoded exe file without source code. (Closes: #724470)
    + New patch fix-editra-removal.patch to fix up build system for removal of
      editra during repack.
    + debian/copyright: Drop license information for files in editra which we
      now remove in the repack.
    + debian/rules: Update for removal of editra during repack.
    + Just remove the upstream debian directory while repacking, rather than
      carefully renaming it to debian-upstream.
  * debian/copyright: Include licence info for wxPython/wx/lib/pubsub.
  * Use xz compression for source and binary packages.
  * debian/wxPython-tools.1: Make the pointer the pydoc documentation slightly
    more helpful by giving an example pydoc invocation.

 -- Olly Betts <olly@survex.com>  Tue, 24 Sep 2013 18:27:56 +1200

wxwidgets2.8 (2.8.12.1-16) unstable; urgency=low

  * Fix warning when compiling with recent GCC in C++11 mode.
    (Closes: #721184)
  * debian/copyright: Add missing licences for contrib/src/stc/scintilla,
    wxPython/wx/tools/Editra/src/extern/pygments and
    wxPython/contrib/activex/wxie.
  * Actually apply patches to add Tamil and Arabic i18n.
  * debian/build_all: Remove unused script.
  * debian/patches/WX_CONFIG.dpatch: Remove unused, obsolete patch.
  * debian/patches/dont-check-for-pangox.patch: The check for pangox is only
    done if building wxX11, which we don't do, so this patch isn't actually
    necessary, so drop it.
  * New patch wxpython-=-should-be-==.patch which fixes mishandling of the
    bitmap depth in the wxPython wrapper code.

 -- Olly Betts <olly@survex.com>  Thu, 12 Sep 2013 16:59:29 +1200

wxwidgets2.8 (2.8.12.1-15) unstable; urgency=low

  * Fix race condition which could result in mmedia libraries going into more
    than one binary package in a parallel package build.  (Closes: #719250)
  * wx-common now "Recommends: zip".  (Closes: #717857)
  * Add python-libxml2-dbg to "Build-Depends:" to fix FTBFS on HPPA.
    (Closes: #719086)
  * Don't mark -dbg packages as "Multi-Arch: same" - they depend on
    wx2.8-headers, which isn't multi-arch, so they can't be parallel installed.
  * Improve short descriptions of libwxgtk-media* packages.

 -- Olly Betts <olly@survex.com>  Wed, 28 Aug 2013 10:25:35 +1200

wxwidgets2.8 (2.8.12.1-14) unstable; urgency=low

  * Apply patch from Fabrice Coutadeur to enable wxmediactrl.
    (Closes: #588104)
  * New patch wx-2.8.12-print-ps-in-latin1-locale-segv-v2.patch
    (Closes: #702378)
  * debian/control.in: Remove errant backquote.  (Closes: #713866)

 -- Olly Betts <olly@survex.com>  Fri, 12 Jul 2013 22:47:48 +1200

wxwidgets2.8 (2.8.12.1-13) unstable; urgency=low

  * We don't actually use pangox, so don't test for it (new patch
    dont-check-for-pangox.patch from Emilio Pozuelo Monfort).
    (Closes: #701836)
  * Allow img2py to work with an X display (new patch
    img2py-no-display.patch from Nicolas Boulenguez).  (Closes: #698198)
  * Build --without-gnomeprint.  (Closes: #644571)
  * Update B-D from libtiff4-dev to libtiff5-dev.
  * Enable hardening flags, except for wxPython for which we need a way to get
    the extra compiler flags through setup.py.
  * Drop 'Conflicts' and 'Replaces' on wx 2.4 and 2.5 packages, and versioned
    'Build-Depends' relating to pre-squeeze versions.
  * Standards-Version: 3.9.4 (no changes required).
  * Update debhelper compatibility level from 7 to 9.
  * Fix vcs-field-not-canonical lintian warning by updating VCS URLs.

 -- Olly Betts <olly@survex.com>  Sat, 08 Jun 2013 22:23:20 +0000

wxwidgets2.8 (2.8.12.1-12) unstable; urgency=low

  * Make python-wxversion conflict with python-wxgtk2.8 (<< 2.8.12.1-1~) to
    guarantee upgrade ordering when moving from pycentral to dh_python2.
    (Closes: #684150)

 -- Olly Betts <olly@survex.com>  Wed, 19 Sep 2012 00:37:03 +0000

wxwidgets2.8 (2.8.12.1-11) unstable; urgency=low

  * It looks like upstream may not make another 2.8 release, and if they do
    it's unlikely to happen before the freeze, so backport several simple but
    useful patches from upstream's 2.8 SVN branch:

    + ico-saving-buffer-overrun.patch
    + richtextxml-fix.patch
    + slider-label-update.patch
    + wxclipboard-getdata.patch

