=== debian/control ===
Source: wxwidgets3.0
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9), gettext, libgtk2.0-dev,
 zlib1g-dev, libjpeg-dev, libpng-dev, libtiff5-dev, libsm-dev,
 libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libesd0-dev,
 autotools-dev, libexpat1-dev, dpkg-dev (>= 1.16.1~),
 libxt-dev, libgstreamer-plugins-base0.10-dev, libgconf2-dev
Maintainer: wxWidgets Maintainers <freewx-maint@lists.alioth.debian.org>
Uploaders: Olly Betts <olly@survex.com>
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/freewx/wx.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=freewx/wx.git
Homepage: http://www.wxwidgets.org/

Package: libwxbase3.0-0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: wxBase library (runtime) - non-GUI support classes of wxWidgets toolkit
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing the same
 program to work for all supported platforms, wxThread class for writing
 multithreaded programs, and much more.
 .
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...), Microsoft Windows, and Mac OS X.
 .
 This package is only useful for non-GUI apps.  It offers a subset of the
 classes in libwx_gtk3.0 for use in console apps and daemons.  You do not need
 this package to build or use wxWidgets GUI apps.

Package: libwxbase3.0-dev
Architecture: any
Section: libdevel
Depends: wx3.0-headers (= ${binary:Version}), libwxbase3.0-0 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
Suggests: wx3.0-doc, gettext
Description: wxBase library (development) - non-GUI support classes of wxWidgets toolkit
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing the same
 program to work for all supported platforms, wxThread class for writing
 multithreaded programs, and much more.
 .
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...), Microsoft Windows, and Mac OS X.
 .
 This package provides the files needed to compile apps using the wxBase
 library.

Package: libwxbase3.0-0-dbg
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Section: debug
Priority: extra
Depends: libwxbase3.0-0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: debugging symbols for the wxBase library
 This package contains detached debugging symbols for the wxBase library
 (part of wxWidgets).
 .
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing the same
 program to work for all supported platforms, wxThread class for writing
 multithreaded programs, and much more.
 .
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...), Microsoft Windows, and Mac OS X.

Package: libwxgtk3.0-0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides the shared libraries needed to run programs linked
 against wxWidgets.  To use the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed.

Package: libwxgtk3.0-dev
Architecture: any
Section: libdevel
Depends: wx-common (= ${binary:Version}), wx3.0-headers (= ${binary:Version}), libwxgtk3.0-0 (= ${binary:Version}), libwxbase3.0-dev (= ${binary:Version}), ${misc:Depends}
Suggests: wx3.0-doc, libstdc++-dev, gettext, libgl1-mesa-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides files needed to compile wxWidgets programs.  If you
 want to compile apps using the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed too.
 .
 This package also provides the wx-config script.

Package: libwxgtk3.0-0-dbg
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Section: debug
Priority: extra
Depends: libwxgtk3.0-0 (= ${binary:Version}), libwxbase3.0-0-dbg (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for the wxGTK GUI toolkit library
 This package contains detached debugging symbols for the wxGTK library
 (part of wxWidgets).
 .
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).

Package: libwxgtk-media3.0-0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ media library runtime)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides the media shared libraries needed to run programs linked
 against libwx_gtk2u_media.

Package: libwxgtk-media3.0-0-dbg
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Section: debug
Priority: extra
Depends: libwxgtk-media3.0-0 (= ${binary:Version}), libwxgtk3.0-0-dbg (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for the wxGTK media library
 This package contains detached debugging symbols for the wxGTK media library
 (part of wxWidgets).
 .
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).

Package: libwxgtk-media3.0-dev
Architecture: any
Section: libdevel
Depends: wx-common (= ${binary:Version}), wx3.0-headers (= ${binary:Version}), libwxgtk-media3.0-0 (= ${binary:Version}), libwxgtk3.0-dev (= ${binary:Version}), ${misc:Depends}
Suggests: wx3.0-doc, libstdc++-dev, gettext, libgl1-mesa-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ media library development)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides files needed to compile wxWidgets programs using the
 wxgtk-media library.

Package: wx-common
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: zip
Description: wxWidgets Cross-platform C++ GUI toolkit (common support files)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides common support files not bound to any
 particular wxWidgets release, such as font metrics required by some
 ports, and miscellaneous developer aids and binary utilities.

Package: wx3.0-headers
Architecture: any
Section: devel
Depends: ${misc:Depends}
Description: wxWidgets Cross-platform C++ GUI toolkit (header files)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the common header files required to build applications
 using the wxWidgets toolkit.

Package: wx3.0-i18n
Architecture: all
Depends: ${misc:Depends}
Provides: wx-i18n
Section: localization
Description: wxWidgets Cross-platform C++ GUI toolkit (i18n support)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the i18n message catalogs for wxWidgets.

Package: wx3.0-examples
Architecture: all
Section: devel
Depends: ${misc:Depends}
Suggests: libwxgtk3.0-dev (= ${binary:Version}), wx3.0-doc
Description: wxWidgets Cross-platform C++ GUI toolkit (examples)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package contains examples of using the wxWidgets toolkit in
 C++.

Package: libwxmsw3.0-dev
Architecture: any
Section: otherosfs
Depends: wx3.0-headers-msw (= ${binary:Version}), ${misc:Depends}
Description: wxMSW mingw32msvc-cross
 mingw32msvc-cross wxMSW libs.

Package: wx3.0-headers-msw
Architecture: any
Section: otherosfs
Depends: wx3.0-headers (= ${binary:Version}), ${misc:Depends}
Description: Extra wxWidgets headers for mingw32msvc-cross
 Headers required by the wxWidgets mingw32msvc-cross libraries.
