=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg.*$// \
  http://sf.net/wxwindows/wxWidgets-([0-9.]+)\.tar\.bz2 debian uupdate
