=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
  zlib1g-dev, libjpeg-dev, libpng-dev, libtiff5-dev, libsm-dev,
  libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libesd0-dev,
  autotools-dev, libexpat1-dev, dpkg-dev (>= 1.16.1~),
- libxt-dev, libgstreamer-plugins-base0.10-dev, libgconf2-dev
+ libxt-dev, libgstreamer-plugins-base0.10-dev, libgconf2-dev, libwebkitgtk-dev
 Maintainer: wxWidgets Maintainers <freewx-maint@lists.alioth.debian.org>
 Uploaders: Olly Betts <olly@survex.com>
-Standards-Version: 3.9.4
-Vcs-Git: git://anonscm.debian.org/freewx/wx.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=freewx/wx.git
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/freewx/wx.git -b wx3.0-debian
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=freewx/wx.git;a=shortlog;h=refs/heads/wx3.0-debian
 Homepage: http://www.wxwidgets.org/
 
 Package: libwxbase3.0-0
@@ -87,8 +87,8 @@
 Package: libwxgtk3.0-dev
 Architecture: any
 Section: libdevel
-Depends: wx-common (= ${binary:Version}), wx3.0-headers (= ${binary:Version}), libwxgtk3.0-0 (= ${binary:Version}), libwxbase3.0-dev (= ${binary:Version}), ${misc:Depends}
-Suggests: wx3.0-doc, libstdc++-dev, gettext, libgl1-mesa-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev
+Depends: wx-common, wx3.0-headers (= ${binary:Version}), libwxgtk3.0-0 (= ${binary:Version}), libwxbase3.0-dev (= ${binary:Version}), libgl1-mesa-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev, ${misc:Depends}
+Suggests: wx3.0-doc, gettext
 Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
@@ -106,6 +106,7 @@
 Section: debug
 Priority: extra
 Depends: libwxgtk3.0-0 (= ${binary:Version}), libwxbase3.0-0-dbg (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Description: debugging symbols for the wxGTK GUI toolkit library
  This package contains detached debugging symbols for the wxGTK library
  (part of wxWidgets).
@@ -133,6 +134,7 @@
 Section: debug
 Priority: extra
 Depends: libwxgtk-media3.0-0 (= ${binary:Version}), libwxgtk3.0-0-dbg (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Description: debugging symbols for the wxGTK media library
  This package contains detached debugging symbols for the wxGTK media library
  (part of wxWidgets).
@@ -144,8 +146,8 @@
 Package: libwxgtk-media3.0-dev
 Architecture: any
 Section: libdevel
-Depends: wx-common (= ${binary:Version}), wx3.0-headers (= ${binary:Version}), libwxgtk-media3.0-0 (= ${binary:Version}), libwxgtk3.0-dev (= ${binary:Version}), ${misc:Depends}
-Suggests: wx3.0-doc, libstdc++-dev, gettext, libgl1-mesa-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev
+Depends: wx-common, wx3.0-headers (= ${binary:Version}), libwxgtk-media3.0-0 (= ${binary:Version}), libwxgtk3.0-dev (= ${binary:Version}), ${misc:Depends}
+Suggests: wx3.0-doc, gettext
 Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ media library development)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
@@ -153,6 +155,48 @@
  .
  This package provides files needed to compile wxWidgets programs using the
  wxgtk-media library.
+
+Package: libwxgtk-webview3.0-0
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Description: wxWidgets Cross-platform C++ GUI toolkit (webview library runtime)
+ wxWidgets (formerly known as wxWindows) is a class library for C++ providing
+ GUI components and other facilities on several popular platforms (and some
+ unpopular ones as well).  For more information see http://wxwidgets.org
+ .
+ This package provides the webview shared libraries needed to run programs
+ linked against libwx_gtk2u_webview.
+
+Package: libwxgtk-webview3.0-0-dbg
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Section: debug
+Priority: extra
+Depends: libwxgtk-webview3.0-0 (= ${binary:Version}), libwxgtk3.0-0-dbg (= ${binary:Version}), ${misc:Depends}
+Suggests: libwebkitgtk-3.0-0-dbg
+Multi-Arch: same
+Description: debugging symbols for the wxGTK webview library
+ This package contains detached debugging symbols for the wxGTK webview library
+ (part of wxWidgets).
+ .
+ wxWidgets (formerly known as wxWindows) is a class library for C++ providing
+ GUI components and other facilities on several popular platforms (and some
+ unpopular ones as well).
+
+Package: libwxgtk-webview3.0-dev
+Architecture: any
+Section: libdevel
+Depends: wx-common, wx3.0-headers (= ${binary:Version}), libwxgtk-webview3.0-0 (= ${binary:Version}), libwxgtk3.0-dev (= ${binary:Version}), ${misc:Depends}
+Suggests: wx3.0-doc, gettext
+Description: wxWidgets Cross-platform C++ GUI toolkit (webview library development)
+ wxWidgets (formerly known as wxWindows) is a class library for C++ providing
+ GUI components and other facilities on several popular platforms (and some
+ unpopular ones as well).
+ .
+ This package provides files needed to compile wxWidgets programs using the
+ wxgtk-webview library.
 
 Package: wx-common
 Architecture: any
@@ -205,17 +249,3 @@
  This package contains examples of using the wxWidgets toolkit in
  C++.
 
-Package: libwxmsw3.0-dev
-Architecture: any
-Section: otherosfs
-Depends: wx3.0-headers-msw (= ${binary:Version}), ${misc:Depends}
-Description: wxMSW mingw32msvc-cross
- mingw32msvc-cross wxMSW libs.
-
-Package: wx3.0-headers-msw
-Architecture: any
-Section: otherosfs
-Depends: wx3.0-headers (= ${binary:Version}), ${misc:Depends}
-Description: Extra wxWidgets headers for mingw32msvc-cross
- Headers required by the wxWidgets mingw32msvc-cross libraries.
-
