=== debian/rules ===
--- 
+++ 
@@ -69,7 +69,7 @@
     --with-flavour=$(DEBIAN_WXFLAVOUR) \
     --with-zlib=sys \
     --with-expat=sys \
-    $(shell dpkg-buildflags --export=configure)
+    $(shell DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed dpkg-buildflags --export=configure)
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 COMMON_CONFIGURE_OPTIONS += --disable-optimise
@@ -80,24 +80,25 @@
     --libdir=\$${exec_prefix}/lib/$(DEB_HOST_MULTIARCH)
 
 GTK_CONFIGURE_OPTIONS = $(COMMON_CONFIGURE_OPTIONS) \
-    --with-gtk \
-    --without-gnomeprint \
-    --with-opengl \
-    --enable-sound \
-    --with-sdl \
     --enable-display \
     --enable-geometry \
     --enable-graphics_ctx \
     --enable-mediactrl \
+    --enable-sound \
+    --enable-webview \
+    --with-gtk \
     --with-libjpeg=sys \
     --with-libpng=sys \
     --with-libtiff=sys \
+    --with-opengl \
+    --with-sdl \
+    --without-gnomeprint \
     --libdir=\$${exec_prefix}/lib/$(DEB_HOST_MULTIARCH)
 
 MSW_CONFIGURE_OPTIONS = \
+    --enable-display \
     --with-msw \
-    --with-opengl \
-    --enable-display
+    --with-opengl
 
 # For the MSW packages, enabling threads in wx means that your application will
 # have a dependency on mingwm10.dll.  If you don't use threads, this is just an
@@ -118,6 +119,10 @@
 package_gtkmedia_dbg    := libwxgtk-media$(sorelease)-dbg
 package_gtkmedia_dev    := libwxgtk-media$(release)-dev
 
+package_gtkwebview_lib    := libwxgtk-webview$(sorelease)
+package_gtkwebview_dbg    := libwxgtk-webview$(sorelease)-dbg
+package_gtkwebview_dev    := libwxgtk-webview$(release)-dev
+
 package_headers         := wx$(release)-headers
 package_i18n            := wx$(release)-i18n
 package_examples        := wx$(release)-examples
@@ -132,7 +137,7 @@
 package_headers_msw     := wx$(release)-headers-msw
 
 # The packages listed here will not be built by default.
-do_not_build_packages := $(package_msw_dev) $(package_headers_msw)
+do_not_build_packages :=
 ifdef DEBIAN_WX_DEFAULT_VERSION
 do_not_build_packages += $(common_packages)
 endif
@@ -176,6 +181,7 @@
 install_all_arch = install-wxbase-lib install-wxbase-dev \
                    install-gtk-lib install-gtk-dev        \
 		   install-gtkmedia-lib install-gtkmedia-dev \
+		   install-gtkwebview-lib install-gtkwebview-dev \
                    install-headers install-i18n
 
 ifndef DEBIAN_WX_DEFAULT_VERSION
@@ -218,7 +224,3 @@
 		echo "generating control file $(package_examples).$$f";      \
 		cp debian/wx-examples.$$f debian/$(package_examples).$$f;    \
 	done
-	@for f in postinst prerm; do                                         \
-		echo "generating control file $(package_msw_dev).$$f";       \
-		sed -e  's/=V/$(release)/g;s/=PRIO/$(alt_prio)/g'            \
-		    -e	's/=H/$(cross_host)/g;'                              \
